package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.PhysicalExamReportPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraPhysicalExamReportDO;
import java.util.List;

public interface ElderlyExtraPhysicalExamReportService {
    Long create(ElderlyExtraPhysicalExamReportDO createReqVO);
    void update(ElderlyExtraPhysicalExamReportDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraPhysicalExamReportDO> findPage(PhysicalExamReportPageReqVO reqVO);
    ElderlyExtraPhysicalExamReportDO getDetail(Long id);
    List<ElderlyExtraPhysicalExamReportDO> getListByElderId(Long elderId);
}
